API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

PATCH /v1/profile/preferences

PATCH/v1/profile/preferences

CodeMeta OS API endpoint.

Request Body

NameTypBeschreibung
themestring
languagestring
notificationsobject
defaultServiceTypeIdstringnull
assignedLocationIdstringnull
defaultLocationstringnull
analyticsConsentboolean
defaultTicketViewstring
defaultTimeTrackingScopestring
emailFontFamilystringnull
emailFontSizestringnull

Beispiel

curl -X PATCH https://api.codemeta-os.de/v1/profile/preferences \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "theme": "light",
  "language": "string",
  "notifications": null,
  "defaultServiceTypeId": null,
  "assignedLocationId": null,
  "defaultLocation": "OFFICE",
  "analyticsConsent": false,
  "defaultTicketView": "mine",
  "defaultTimeTrackingScope": "mine",
  "emailFontFamily": null,
  "emailFontSize": null
}'
const result = await cm.profile.patch({
  "theme": "light",
  "language": "string",
  "notifications": null,
  "defaultServiceTypeId": null,
  "assignedLocationId": null,
  "defaultLocation": "OFFICE",
  "analyticsConsent": false,
  "defaultTicketView": "mine",
  "defaultTimeTrackingScope": "mine",
  "emailFontFamily": null,
  "emailFontSize": null
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche